Bug 1460307 - [RFE] Allow for deletion of group when users belong to another group
[RFE] Allow for deletion of group when users belong to another group
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
All All
high Severity high
: GA
: 5.8.1
Assigned To: lgalis
Matt Pusateri
: FutureFeature, ZStream
Depends On: 1264967
  Show dependency treegraph
Reported: 2017-06-09 11:55 EDT by Satoe Imaishi
Modified: 2017-08-02 13:28 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1264967
Last Closed: 2017-08-02 13:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core

Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-09 12:01:06 EDT
New commit detected on ManageIQ/manageiq/fine:

commit caa1b85a0d0ff8f73790a565843fc9866ec06aec
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed May 24 13:48:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 11:55:03 2017 -0400

    Merge pull request #15041 from lgalis/allow_not_empty_group_deletion
    Allow deletion of groups with users belonging to other groups
    (cherry picked from commit 828b50b82e5a7dedb2394e4db942bf1357360e6c)

 app/models/miq_group.rb            | 13 ++++++++-
 spec/models/miq_group_spec.rb      | 54 +++++++++++++++++++++++++++++++++-----
 spec/models/miq_widget_set_spec.rb |  2 +-
 3 files changed, 60 insertions(+), 9 deletions(-)
Comment 3 Matt Pusateri 2017-06-30 15:33:00 EDT
Verrified: Tested on MIQLDAP (AD, FreeIPA, OpenLDAP) External Auth (AD, FreeIPA).
Comment 5 errata-xmlrpc 2017-08-02 13:28:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.